;; from the supercollider 2 docs
(play
 (audio
  sine
  (audio
   sequencer
   (yielding-thunk
    (let ((yield (lambda (val) (yield (midi->cps val)))))
      ;; 50% of the time, a run of notes at the beginning
      (if (coin 0.5) (for-each yield '(24 31 36 42 48 55)))
      ;; `notes' is an arpeggio, let's repeat it a few times
      (let ((notes (list 60 (choose '(63 65)) 67 (choose '(70 72 74)))))
        (repeat i (rrand 2 5) (for-each yield notes)))
      ;; random high melody
      (repeat i (rrand 3 9) (yield (choose #(74 75 77 79 81))))))
    (audio impulse 5))))

;; how I might like it to look (doesn't work yet)
(let ((pattern (make <p-seq>
                 (list
                 ;; the #f would cause the pattern to end
                  (make <p-rand> #f (make <p-seq> '(24 31 36 42 48 55)))
                  (

(make-sequence #f
               (make-sequence 1 24 31 36 42 48 55)
               (make-sequence (rrand 2 5)
                              60 (make-chooser 1 62 65) 67 (make-chooser 1 70 72 74))
               (make-chooser (rrand 3 9) 74 75 77 79 81))
                 
(play
 (audio
  sine
  (audio
   sequencer
   (as-stream

;; slight variation -- i rather like this example, maybe it's just that
;; it's the first musical example i've gotten translated
(play
  (audio
   syndrum
   :trigger (control sine 7) ;; we really need a control-rate impulse...
   :velocity 0.3
   :resonance 0.3
   :frequency
   (control
    sequencer
    (yielding-thunk
     (let ((yield (lambda (val) (yield (midi->cps val)))))
       ;; 50% of the time, a run of notes at the beginning
       (if (coin 0.5) (for-each yield '(24 31 36 42 48 55)))
       (repeat j 4
               (let ((notes (choose
                             '((24 36 48)
                               (48 24 31)
                               (36 24 31)
                               (48 42 31)
                               (48 24 31)
                               (36 42 31)))))
                 (repeat i (rrand 2 5) (for-each yield notes))))))
    (audio sine 7))))
