;; Soundscrape
;; Copyright (C) 2003,2004 Andy Wingo <wingo at pobox dot com>

;; This program is free software; you can redistribute it and/or    
;; modify it under the terms of the GNU General Public License as   
;; published by the Free Software Foundation; either version 2 of   
;; the License, or (at your option) any later version.              
;;                                                                  
;; This program is distributed in the hope that it will be useful,  
;; but WITHOUT ANY WARRANTY; without even the implied warranty of   
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    
;; GNU General Public License for more details.                     
;;                                                                  
;; You should have received a copy of the GNU General Public License
;; along with this program; if not, contact:
;;
;; Free Software Foundation           Voice:  +1-617-542-5942
;; 59 Temple Place - Suite 330        Fax:    +1-617-542-2652
;; Boston, MA  02111-1307,  USA       gnu@gnu.org

;;; Commentary:
;;
;;The about window.
;;
;;; Code:

(define-module (soundscrape ui about-window)
  :use-module (gnome gtk)
  :use-module (gnome gnome gw-ui)

  :export (show-about-window))

(define the-about-window #f)

(define (show-about-window)
  (present
   (or the-about-window
       (let* ((window (make <gnome-about>
                        :name "soundscrape"
                        :version "0.1" ;fixme
                        :authors '("Andy Wingo <wingo at pobox.com>")
                        :documenters '("Andy Wingo <wingo at pobox.com>")
                        :comments "A programmatic modular synthesizer"
                        :copyright "Copyright (C) 2003,2004 Andy Wingo")))
         (connect window 'destroy
                  (lambda args (set! the-about-window #f)))
         (set! the-about-window window)
         (show window)
         window))))
