;; Soundscrape
;; Copyright (C) 2003,2004 Andy Wingo <wingo at pobox dot com>

;; This program is free software; you can redistribute it and/or    
;; modify it under the terms of the GNU General Public License as   
;; published by the Free Software Foundation; either version 2 of   
;; the License, or (at your option) any later version.              
;;                                                                  
;; This program is distributed in the hope that it will be useful,  
;; but WITHOUT ANY WARRANTY; without even the implied warranty of   
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    
;; GNU General Public License for more details.                     
;;                                                                  
;; You should have received a copy of the GNU General Public License
;; along with this program; if not, contact:
;;
;; Free Software Foundation           Voice:  +1-617-542-5942
;; 59 Temple Place - Suite 330        Fax:    +1-617-542-2652
;; Boston, MA  02111-1307,  USA       gnu@gnu.org

;;; Commentary:
;;
;;Auxiliary soundscrape listener windows.
;;
;;; Code:

(define-module (soundscrape ui listener)
  :use-module (gnome gtk)
  ;:use-module (gnome gstreamer)
  :use-module (soundscrape util)
  :use-module (soundscrape ui util)
  :use-module (gnome gtk gw-glade)
  :use-module (gnome gtk graphical-repl)

  :export (<ss-gui-listener-window>))

(define this-module (current-module))

(define-class <ss-gui-listener-window> ()
  gtk-window)
(set-object-property! <ss-gui-listener-window> 'documentation
  "A class for listener windows.")

(define-method (initialize (obj <ss-gui-listener-window>) initargs)
  (let* ((window (ss-glade-get-widget this-module "soundscrape.glade" "listener")))
    #f))

